name: threadfin
services:
  threadfin:
    image: fyb3roptik/threadfin:latest
    restart: unless-stopped
    environment:
      - THREADFIN_BRANCH=main
      - THREADFIN_DEBUG=0
    x-casaos:
      volumes:
        - container: /home/threadfin/conf/data
          description:
            en_us: Data
            zh_cn: 数据
        - container: /home/threadfin/conf/backup
          description:
            en_us: Backup
            zh_cn: 备份
      envs:
        - container: THREADFIN_BRANCH
          description:
            en_us: "Set Threadfin git branch [ main, beta, dev ] Default: beta"
            zh_cn: "设置Threadfin git分支 [ main, beta, dev ] 默认: beta"
        - container: THREADFIN_DEBUG
          description:
            en_us: "Set Threadfin debug level [ 0-3 ] Default: 0=OFF"
            zh_cn: "设置Threadfin调试级别 [ 0-3 ] 默认: 0=关闭"
      ports:
        - container: "34400"
          description:
            en_us: Port to access the application's GUI via the web interface.
            zh_cn: 通过Web界面访问应用程序GUI的端口
    ports:
      - target: 34400
        published: "34400"
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/AppData/threadfin/config
        target: /home/threadfin/conf/data
      - type: bind
        source: /DATA/AppData/threadfin/backup
        target: /home/threadfin/conf/backup
    container_name: threadfin

x-casaos:
  architectures:
    - amd64
    - arm64
    - arm
  main: threadfin
  description:
    en_us: Threadfin is a M3U proxy server for Plex, Emby, Jellyfin and any client and provider which supports the .TS and .M3U8 (HLS) streaming formats.
    zh_cn: Threadfin是一个M3U代理服务器，适用于Plex、Emby、Jellyfin以及任何支持的客户端和提供商。TS和。M3U8（HLS）流格式。
  tagline:
    en_us: M3U proxy server
    zh_cn: M3U代理服务器
  developer: jdownloader
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Threadfin/icon.png
  author: Fabio Tea
  category: Utilities
  index: /web/
  port_map: "34400"
  scheme: http
  store_app_id: threadfin
  title:
    en_us: Threadfin
    zh_cn: Threadfin